﻿package  src{
	import flash.display.BitmapData;
	import flash.display.MovieClip;
	import flash.display.Bitmap;
	import flash.geom.Rectangle;
	import flash.display.DisplayObject;
	import flash.media.Video;
	import src.MyCamera;
	
	public class Recorder extends MovieClip{
		private var delay_player:BitmapData;
		private var player_b:Bitmap;
		private var container:MovieClip = new MovieClip();
		private var delay = 100;
		private var finish_loaded:Boolean = false;
		
		public function Recorder(width,height,transparent:Boolean,color:uint,delay:Number)
		{
			this.delay = delay;
			delay_player = new BitmapData (width,height,transparent,color);
			player_b = new Bitmap (delay_player);
			
			this.addChild(player_b);
		}
		public function record (picture:BitmapData):void
		{
			/*
			var picture = new BitmapData (myCam.width,myCam.height,true,0);
			picture.draw(myCam);
			*/
			if (finish_loaded == false) if (empty(picture) != true) finish_loaded = true;
			if (finish_loaded == true){
				var b:Bitmap = new Bitmap (picture);
				container.addChild(b);
				if (container.numChildren > delay){
					delay_player.draw (container.getChildAt(0));
					container.removeChildAt(0);
				}
			}
		}
		private function empty (bmp:BitmapData):Boolean
		{
			var maskColor:uint = 0xFF000000;
			var emptyColor:uint = 0x00000000;
			var bounds:Rectangle = bmp.getColorBoundsRect(maskColor, emptyColor, false);
			var empty:Boolean = false;
			if (bounds.width == 0 && bounds.height == 0) empty = true;
			
			return empty;
		}

	}
	
}
